summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2020-09-17 16:36:54 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2020-09-17 16:37:33 -0500
commitdef5f7a93c2ecff8e7c1c1d7addf7bf53c00eacc (patch)
treeb8f0d59712c8d5463898a506e42ca4265be78bcd /media-sound
parentkde-plasma/breeze: Drop unused DEPEND (diff)
downloadgentoo-def5f7a93c2ecff8e7c1c1d7addf7bf53c00eacc.tar.gz
gentoo-def5f7a93c2ecff8e7c1c1d7addf7bf53c00eacc.tar.bz2
gentoo-def5f7a93c2ecff8e7c1c1d7addf7bf53c00eacc.zip
media-sound/spotify: 1.1.42 bump
Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/spotify/Manifest1
-rw-r--r--media-sound/spotify/spotify-1.1.42.ebuild116
2 files changed, 117 insertions, 0 deletions
diff --git a/media-sound/spotify/Manifest b/media-sound/spotify/Manifest
index b4952882946..57e6bc2a285 100644
--- a/media-sound/spotify/Manifest
+++ b/media-sound/spotify/Manifest
@@ -1,3 +1,4 @@
DIST spotify-client_1.0.72.117.g6bd7cc73-35_i386.deb 95135550 BLAKE2B ad4587dd6b3c64a0398e0790203a7826e290a27542fa39ebbd6c7198d8ad1fd3fb06e8b030b64e1e61e0624ef20aafda08189266486cd073cb779ebff62ef502 SHA512 51d60f7592e5f31ea4b7e67736a85271cb48d4108459630da61c4ab67d2a470038240c1d6ff577280cb4498cf44f14d7bc7e0312f63d34265bcd1e70cd13142f
DIST spotify-client_1.1.10.546.ge08ef575-19_amd64.deb 114975574 BLAKE2B 46da17c8ebccdc889b723ac6e9f5275dddec97d35142606ece32d1edb1ed288d1c517d41027de22da77421a76f8c00ea90ddc868b74dd46ba07cff60a581b12a SHA512 f004083eee00600a51e50d7dee03846293b5ccd6966786e91055564c7963917b9aaa917de41f299a0f5b7baecea5f466fb37722b8631743ff2ca15f43851f5f4
DIST spotify-client_1.1.26.501.gbe11e53b-15_amd64.deb 120102446 BLAKE2B 481686c9e1f7e8d7b68059ec5aad5f71ae1e59af80fa91903941afc2e0a91e2f957860bf96ce3ce4b19884f2548426269a9a2043c2985b4bbc82c5f091f5f2b8 SHA512 af9f1beafe0e4d2313326d1a55675550e8c3fcd5cd2dc0954127094c563048b98f74f669d99a10f0ef6e3b3405856bb9d6a2561644a434ab6bade9c812296963
+DIST spotify-client_1.1.42.622.gbd112320-37_amd64.deb 126293582 BLAKE2B 909d2cba7a2d2686a4e278e315658d8011d83f3eca3b5381fcd1df574d8e4223c3fb8508f417ec9f66b37740ac8b221a6d8cf753fc2cee47700b45a867556302 SHA512 a3fe98d69460ffd641df3219c2a3d164a33e2b52c86a56276e473dd5c3a43d6304df3b77fefcf0ca6c09cb6e2c8dacab65573cf7543725b6c8d402832149e122
diff --git a/media-sound/spotify/spotify-1.1.42.ebuild b/media-sound/spotify/spotify-1.1.42.ebuild
new file mode 100644
index 00000000000..4b9dc6ccaf5
--- /dev/null
+++ b/media-sound/spotify/spotify-1.1.42.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit desktop pax-utils unpacker xdg
+
+DESCRIPTION="Spotify is a social music platform"
+HOMEPAGE="https://www.spotify.com/ch-de/download/previews/"
+SRC_BASE="http://repository.spotify.com/pool/non-free/s/${PN}-client/"
+BUILD_ID_AMD64="622.gbd112320-37"
+SRC_URI="${SRC_BASE}${PN}-client_${PV}.${BUILD_ID_AMD64}_amd64.deb"
+LICENSE="Spotify"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="libnotify libressl systray pax_kernel pulseaudio"
+RESTRICT="mirror strip"
+
+BDEPEND=">=dev-util/patchelf-0.10"
+RDEPEND="
+ dev-libs/nss
+ dev-python/dbus-python
+ dev-python/pygobject:3
+ libnotify? ( x11-libs/libnotify )
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/harfbuzz
+ media-libs/mesa[X(+)]
+ net-misc/curl[ssl]
+ net-print/cups[ssl]
+ pulseaudio? ( media-sound/pulseaudio )
+ !pulseaudio? ( media-sound/apulse )
+ systray? ( gnome-extra/gnome-integration-spotify )
+ x11-libs/gtk+:2
+ app-accessibility/at-spi2-atk
+ x11-libs/libXScrnSaver
+ x11-libs/libXtst
+ x11-libs/libSM
+ x11-libs/libICE
+"
+ #sys-libs/glibc
+
+S=${WORKDIR}/
+
+QA_PREBUILT="
+ opt/spotify/spotify-client/spotify
+ opt/spotify/spotify-client/libEGL.so
+ opt/spotify/spotify-client/libGLESv2.so
+ opt/spotify/spotify-client/libcef.so
+ opt/spotify/spotify-client/swiftshader/libEGL.so
+ opt/spotify/spotify-client/swiftshader/libGLESv2.so
+"
+
+src_prepare() {
+ # Fix desktop entry to launch spotify-dbus.py for systray integration
+ if use systray ; then
+ sed -i \
+ -e 's/spotify \%U/spotify-dbus.py \%U/g' \
+ usr/share/spotify/spotify.desktop || die "sed failed"
+ fi
+ default
+
+ # Spotify links against libcurl-gnutls.so.4, which does not exist in Gentoo.
+ patchelf --replace-needed libcurl-gnutls.so.4 libcurl.so.4 usr/bin/spotify \
+ || die "failed to patch libcurl library dependency"
+}
+
+src_install() {
+ gunzip usr/share/doc/spotify-client/changelog.gz || die
+ dodoc usr/share/doc/spotify-client/changelog
+
+ SPOTIFY_PKG_HOME=usr/share/spotify
+ insinto /usr/share/pixmaps
+ doins ${SPOTIFY_PKG_HOME}/icons/*.png
+
+ # install in /opt/spotify
+ SPOTIFY_HOME=/opt/spotify/spotify-client
+ insinto ${SPOTIFY_HOME}
+ doins -r ${SPOTIFY_PKG_HOME}/*
+ fperms +x ${SPOTIFY_HOME}/spotify
+
+ dodir /usr/bin
+ cat <<-EOF >"${D}"/usr/bin/spotify || die
+ #! /bin/sh
+ LD_LIBRARY_PATH="/usr/$(get_libdir)/apulse" \\
+ exec ${SPOTIFY_HOME}/spotify "\$@"
+ EOF
+ fperms +x /usr/bin/spotify
+
+ local size
+ for size in 16 22 24 32 48 64 128 256 512; do
+ newicon -s ${size} "${S}${SPOTIFY_PKG_HOME}/icons/spotify-linux-${size}.png" \
+ "spotify-client.png"
+ done
+ domenu "${S}${SPOTIFY_PKG_HOME}/spotify.desktop"
+ if use pax_kernel; then
+ #create the headers, reset them to default, then paxmark -m them
+ pax-mark C "${ED}${SPOTIFY_HOME}/${PN}" || die
+ pax-mark z "${ED}${SPOTIFY_HOME}/${PN}" || die
+ pax-mark m "${ED}${SPOTIFY_HOME}/${PN}" || die
+ eqawarn "You have set USE=pax_kernel meaning that you intend to run"
+ eqawarn "${PN} under a PaX enabled kernel. To do so, we must modify"
+ eqawarn "the ${PN} binary itself and this *may* lead to breakage! If"
+ eqawarn "you suspect that ${PN} is being broken by this modification,"
+ eqawarn "please open a bug."
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ ewarn "If Spotify crashes after an upgrade its cache may be corrupt."
+ ewarn "To remove the cache:"
+ ewarn "rm -rf ~/.cache/spotify"
+}